Subject: Re: [PATCH v4] bnx2x: Fix error recovering in switch configuration

From: Jakub Kicinski <[email-masked]>
Date: Mon, 7 Aug 2023 14:24:59 -0700

On Mon, 7 Aug 2023 16:08:50 -0500 Thinh Tran wrote:
> > Could you split the change into two patches - one factoring out the
> > code into bnx2x_stop_nic() and the other adding the nic_stopped
> > variable? First one should be pure code refactoring with no functional
> > changes. That'd make the reviewing process easier.  
> 
> Sorry, I misunderstood comments in the reviewing of v3 asking to factor 
> the code.
> Should I keep the changes I made, or should I summit a new patch with 
> factored code?

I am not sure what you're asking.

In v5 I'm hoping to see 3 patches (as a single series!)
patch 1 - factor out the disabling into a helper
patch 2 - introduce the bp->nic_stopped checking
patch 3 - changes to bnx2x_tx_timeout()